package com.ejie.ad74a.model;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * Representacion tabla AD74A77T00 PRECIOS_PUBLICOS
 * 
 * @author BICUGUAL
 */

public class PrecioPublico implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idPrecioPublico;
	private LocalDate fVigenciaDesde;
	private LocalDate fVigenciaHasta;
	private BigDecimal importe;
	
	public PrecioPublico() {
		super();
	}
	
	public PrecioPublico(Long idPrecioPublico, LocalDate fVigenciaDesde, LocalDate fVigenciaHasta, BigDecimal importe) {
		super();
		this.idPrecioPublico = idPrecioPublico;
		this.fVigenciaDesde = fVigenciaDesde;
		this.fVigenciaHasta = fVigenciaHasta;
		this.importe = importe;
	}

	public Long getIdPrecioPublico() {
		return idPrecioPublico;
	}

	public void setIdPrecioPublico(Long idPrecioPublico) {
		this.idPrecioPublico = idPrecioPublico;
	}

	public LocalDate getfVigenciaDesde() {
		return fVigenciaDesde;
	}

	public void setfVigenciaDesde(LocalDate fVigenciaDesde) {
		this.fVigenciaDesde = fVigenciaDesde;
	}

	public LocalDate getfVigenciaHasta() {
		return fVigenciaHasta;
	}

	public void setfVigenciaHasta(LocalDate fVigenciaHasta) {
		this.fVigenciaHasta = fVigenciaHasta;
	}

	public BigDecimal getImporte() {
		return importe;
	}

	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}

	@Override
	public String toString() {
		return "PrecioPublico [idPrecioPublico=" + idPrecioPublico + ", fVigenciaDesde=" + fVigenciaDesde
				+ ", fVigenciaHasta=" + fVigenciaHasta + ", importe=" + importe + "]";
	}
	
	
}
